KDE 4.9 PyKDE API Reference

- KDE's Python API

# SearchRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| placemarkSearchFinished ()
| searchFinished (QString searchTerm)
| searchResultChanged (QAbstractItemModel model)
## Methods
| __init__ (self, Marble.MarbleModel marbleModel, QObject parent=0)
| findPlacemarks (self, QString searchTerm, Marble.GeoDataLatLonAltBox preferred=Marble.GeoDataLatLonAltBox())

## Signal Documentation

placemarkSearchFinished | ( |  | ) |

Emitted whenever all runners are finished for the query

Signal syntax:
  `QObject.connect(source, SIGNAL("placemarkSearchFinished()"), target_slot)`

searchFinished | ( | QString | searchTerm
| ) |  |  |

The search request for the given search term has finished, i.e. all runners are finished and reported their results via the

See also:
  searchResultChanged signal

Signal syntax:
  `QObject.connect(source, SIGNAL("searchFinished(const QString&)"), target_slot)`

searchResultChanged | ( | QAbstractItemModel | model
| ) |  |  |

Placemarks were added to or removed from the model To do: FIXME: this sounds like a duplication of QAbstractItemModel signals

Signal syntax:
  `QObject.connect(source, SIGNAL("searchResultChanged(QAbstractItemModel*)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | marbleModel,
|  | QObject | parent=0
| ) |  |  |

Constructor.

Parameters:

  | pluginManager | The plugin manager that gives access to RunnerPlugins
  | parent | Optional parent object

findPlacemarks | ( | self, |
|  | QString | searchTerm,
|  | Marble.GeoDataLatLonAltBox | preferred=Marble.GeoDataLatLonAltBox()
| ) |  |  |

Search for placemarks matching the given search term.

See also:
  findPlacemark is asynchronous with results returned using the

See also:
  searchResultChanged signal.

See also:
  searchPlacemark is blocking.

See also:
  searchFinished signal indicates all runners are finished.